/// <reference types="node" />
import * as fs from 'fs';
export declare const readFileAsync: any;
export declare const statAsync: any;
export declare const readdirAsync: any;
export declare function readTextFileAsync(path: string): Promise<string>;
export declare function writeFileAsync(path: string, data: any, options?: {
    encoding?: string | null;
    mode?: number | string;
    flag?: string;
} | string | undefined | null): Promise<any>;
export declare function statOrNullAsync(path: string): Promise<fs.Stats | null>;
export declare function fileExists(path: string): Promise<boolean>;
export declare function dirExists(path: string): Promise<boolean>;
export declare function listSubPaths(path: string, options?: {
    encoding: BufferEncoding | null;
} | BufferEncoding | undefined | null): Promise<string[]>;
export declare function listSubDirs(dir: string): Promise<string[]>;
export declare function listSubFiles(dir: string): Promise<string[]>;
